Subject: Re: Bash is very slow to respond to keyboard input
From: [email-masked] ("Mikey")

22 May 1997 20:05:17 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="US-ASCII"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Outlook Express 4.71.0544.0
Original-To: "Steve Kachman" <[email-masked]>
Original-Cc: "cygnus gnu-win32 mailing list" <[email-masked]>
X-Priority: 3
X-MSMail-Priority: Normal
X-MimeOLE: Produced By Microsoft MimeOLE Engine V4.71.0544.0
Original-Sender: [email-masked]

Hey give the poor thing a break, DOS, (whoops I mean win95)
has been around since 197*, don't you think it's a lot to ask
to be able to accept keyboard input, and do disk io at the same time? ;^)

But seriously I have had the same problem since B14, I just figured it
was 95's well known bad console handling <shrug>

If you didn't have the problem under b17.1, then you were very lucky,
or you were on a very fast machine, I'm on a P100, and it's stuttering
even as I type.

([email-masked])
       the return address for this message is anti spammed
       remove * from the above address to reply.
       Mikey>After switching to B18, bash frequently ignores keyboard input when I am
>using the cursor keys to edit a command line. I will be using the cursor
>keys to backup quickly and the cursor will pause for awhile and then after
>a few seconds it will spit out some ANSI escape codes where my cursor was.
>
>Possibly related to this  is when man fires up less. Less will also tend to
>get confused. It will ignore some of the keystrokes. After a bit of
>struggle it will appear to disappear only to have the less prompt appear a
>bit later.
>
>This is all happening on a WIN95 machine. I haven't seen these problem on
>the NT machine.
>
>Any suggestions, pointers, or fixes will be greatly appreciated.
>
>
>Steve Kachman
>[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".